package testowanie;

public class Testowanie2_Print {
	// Jeśli programista, który napisał jakąś funkcję, metodę, klasę ...
	// chce tylko sprawdzić czy ta rzecz działa dobrze, może napisać taki prosty programik, który wypisuje coś na ekran.
	// I to jest najczęstsze podejście, które jest uważane za złe podejście, przejaw lenistwa itd...
	
	// Napisać i uruchomić jest łatwo, ale:
	// - to człowiek sprawdza czy program jest poprawny; NIE MA AUTOMATYCZNEJ ODPOWIEDZI czy jest dobrze czy źle
	// - uruchamianie jest jednak bardziej kosztowne niż w testach jednostkowych, bo trzeba spojrzeć na ekran i ocenić czy wyniki / zachowanie są poprawne

	public static void main(String[] args) {
		var wynik = Funkcje.silnia(5);
		System.out.println("silnia(5) = " + wynik);
		
		System.out.println("silnia dla arg 0, 1, 10 : ");
		System.out.println(Funkcje.silnia(0));
		System.out.println(Funkcje.silnia(1));
		System.out.println(Funkcje.silnia(10));
		System.out.println();
		
		System.out.println("F(10) = " + Funkcje.fib(10));
	}

}
